
From: Geert Uytterhoeven <geert@linux-m68k.org>

Buddha/CatWeasel IDE: Make sure the core IDE driver doesn't try to request the
MMIO ports a second time, since this will fail.



---

 25-akpm/drivers/ide/legacy/buddha.c |    4 +++-
 1 files changed, 3 insertions(+), 1 deletion(-)

diff -puN drivers/ide/legacy/buddha.c~68k-390 drivers/ide/legacy/buddha.c
--- 25/drivers/ide/legacy/buddha.c~68k-390	Thu Jan  8 15:37:43 2004
+++ 25-akpm/drivers/ide/legacy/buddha.c	Thu Jan  8 15:37:43 2004
@@ -146,6 +146,7 @@ static int xsurf_ack_intr(ide_hwif_t *hw
 void __init buddha_init(void)
 {
 	hw_regs_t hw;
+	ide_hwif_t *hwif;
 	int i, index;
 
 	struct zorro_dev *z = NULL;
@@ -212,8 +213,9 @@ fail_base2:
 						IRQ_AMIGA_PORTS);
 			}	
 			
-			index = ide_register_hw(&hw, NULL);
+			index = ide_register_hw(&hw, &hwif);
 			if (index != -1) {
+				hwif->mmio = 2;
 				printk("ide%d: ", index);
 				switch(type) {
 				case BOARD_BUDDHA:

_
